import React, { useEffect, useRef, useState } from 'react';
import renderer from 'react-test-renderer';
import { render, fireEvent, waitFor, screen } from '@testing-library/react';
import { FormHandles } from '@unform/core';
import { Form } from '@unform/web';
import 'jest-styled-components';
import { CloseBtn } from '../../CloseBtn';
import { LoaderIcon } from './LoaderIcon';

it('renderizar default', () => {
   const tree = renderer.create(<LoaderIcon />).toJSON();
   expect(tree).toMatchSnapshot();
});

it('renderizar with color', () => {
   const tree = renderer.create(<LoaderIcon color="orange" />).toJSON();
   expect(tree).toMatchSnapshot();
});

it('renderizar with size', () => {
   const tree = renderer.create(<LoaderIcon size={92} />).toJSON();
   expect(tree).toMatchSnapshot();
});
